# Created by pyp2rpm-3.3.1
%global pypi_name bcrypt

%global debug_package %nil

Name:           python-%{pypi_name}
Version:        4.0.0
Release:        %mkrel 2
Summary:        Modern password hashing for your software and your servers
Group:          Development/Python
#crypt_blowfish code is in Public domain and all other code in ASL 2.0
License:        ASL 2.0 and Public Domain and BSD
URL:            https://github.com/pyca/bcrypt/
Source0:        %{pypi_source}
# created by ./vendor_rust.py helper script inside SOURCES dir based on one from python-cryptography
Source1:        bcrypt-%{version}-vendor.tar.bz2
Source2:        vendor_rust.py
ExclusiveArch:  %{rust_arches}
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(cffi)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(funcsigs)
BuildRequires:  python3dist(setuptools-rust)

BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(pytest)

BuildRequires:  rustc >= 1.56.0
BuildRequires:  rust-packaging

%description
Modern password hashing for your software and your servers

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Modern password hashing for your software and your servers

%prep
%autosetup -n %{pypi_name}-%{version} -a1

# Build with current py3 support
sed -i -e 's/py3[0-9]\+/py%{python3_version_nodots}/g' setup.py pyproject.toml

%global cargo_registry $(pwd)/vendor
%cargo_prep

%build
export RUSTFLAGS='%{build_rustflags}'
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Sep 07 2022 wally <wally> 4.0.0-2.mga9
+ Revision: 1884833
- use %%build_rustflags to fix 32bit build and tests (-Ccodegen-units=1 seems to be enough, but apply them all)

* Mon Sep 05 2022 wally <wally> 4.0.0-1.mga9
+ Revision: 1884208
- new version 4.0.0 (from neoclust)
- build using vendored Rust crates

* Mon Mar 28 2022 umeabot <umeabot> 3.2.0-3.mga9
+ Revision: 1829523
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 3.2.0-2.mga9
+ Revision: 1774722
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Fri Aug 27 2021 wally <wally> 3.2.0-1.mga9
+ Revision: 1742999
- new version 3.2.0

* Sat Mar 20 2021 neoclust <neoclust> 3.1.7-5.mga9
+ Revision: 1705990
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 3.1.7-4.mga8
+ Revision: 1532704
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 3.1.7-3.mga8
+ Revision: 1442770
+ rebuild (emptylog)

* Sun Sep 15 2019 tv <tv> 3.1.7-2.mga8
+ Revision: 1441178
- rebuild for python-3.8
- drop python2 subpkg

* Thu Aug 29 2019 wally <wally> 3.1.7-1.mga8
+ Revision: 1435110
- new version 3.1.7
- drop python2 tests (no more pytest for python2)

* Sat Feb 02 2019 wally <wally> 3.1.6-1.mga7
+ Revision: 1362542
- new version 3.1.6

* Mon Jan 07 2019 shlomif <shlomif> 3.1.5-2.mga7
+ Revision: 1351148
- Rebuild for python3 3.7

* Sun Dec 23 2018 wally <wally> 3.1.5-1.mga7
+ Revision: 1344564
- new version 3.1.5

* Sun Sep 23 2018 umeabot <umeabot> 3.1.4-2.mga7
+ Revision: 1300445
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 wally <wally> 3.1.4-1.mga7
+ Revision: 1220917
- imported package python-bcrypt

